<?
include("funcs.php");

function printTop10Header ()
{
	global $config;
?>
<tr class="era0">
    <th style="width:5%" class="aright"><a href="<?=$config[main]?>?action=top10&amp;sort=rank">Rank</a></th>
    <th style="width:30%">Empire</th>
    <th style="width:7%" class="aright">Land</th>
    <th style="width:15%" class="aright">Networth</th>
    <th style="width:10%">Race</th>
    <th style="width:5%">Era</th>
    <th style="width:8%">Score</th>
    <th style="width:8%"><a href="<?=$config[main]?>?action=top10&amp;sort=offtotal">O</a></th>
    <th style="width:8%"><a href="<?=$config[main]?>?action=top10&amp;sort=deftotal">D</a></th>
    <th style="width:4%"><a href="<?=$config[main]?>?action=top10&amp;sort=kills">K</a></th></tr>
<?
}

function printTop10Line (&$enemy)
{
	global $rtags, $etags, $config;
	$color = "normal";
	if (($enemy[land] == 0) || ($enemy[disabled] == 4))
		$color = "dead";
	elseif ($enemy[disabled] == 2)
		$color = "admin";
	elseif ($enemy[disabled] == 3)
		$color = "disabled";
	elseif (($enemy[turnsused] <= $config[protection]) || ($enemy[vacation] > $config[vacationdelay]))
		$color = "protected";
?>
<tr class="m<?=$color?>">
    <td class="aright"><?if ($enemy[online]) echo "*";?><?=$enemy[rank]?></td>
    <td class="acenter"><?=$enemy[empire]?> (#<?=$enemy[num]?>)</td>
    <td class="aright"><?=commas($enemy[land])?></td>
    <td class="aright">$<?=commas($enemy[networth])?></td>
    <td class="acenter"><?=$rtags["$enemy[race]"]?></td>
    <td class="acenter"><?=$etags["$enemy[era]"]?></td>
    <td class="acenter"><?=$enemy[score]?></td>
    <td class="acenter"><?=$enemy[offtotal]?> (<?if ($enemy[offtotal]) echo round($enemy[offsucc]/$enemy[offtotal]*100); else echo 0;?>%)</td>
    <td class="acenter"><?=$enemy[deftotal]?> (<?if ($enemy[deftotal]) echo round($enemy[defsucc]/$enemy[deftotal]*100); else echo 0;?>%)</td>
    <td class="acenter"><?=$enemy[kills]?></td></tr>
<?
}

HTMLbegincompact("Top 10");
switch ($sort)
{
	case "rank":		$sort = "rank ASC";			break;
	case "offtotal":	$sort = "offtotal DESC, rank ASC";	break;
	case "deftotal":	$sort = "deftotal DESC, rank ASC";	break;
	case "kills":		$sort = "kills DESC, rank ASC";		break;
	default:		$sort = "rank ASC";			break;
}
?>
<b>Promisance Top 10 Listing</b><br>
Current Game Time: <?=$datetime?><br><br>
<b><?=sqleval("SELECT COUNT(*) FROM $playerdb WHERE online=1;")?></b> of the <b><?=sqleval("SELECT COUNT(*) FROM $playerdb;")?></b> players in the game are currently online.<br>
<b><?=$killed=sqleval("SELECT SUM(kills) FROM $playerdb;")?></b> empires have been destroyed, and <b><?=sqleval("SELECT COUNT(*) FROM $playerdb WHERE land=0 OR disabled=4;")-$killed?></b> empires have been abandoned.<br>
<b><?=sqleval("SELECT COUNT(*) FROM $playerdb WHERE disabled=3;")?></b> accounts have been disabled by Administration.<br><br>
<b>Rankings are updated every <?=$perminutes?> minute<?=plural($perminutes,"s","")?>.</b><br><br>
Color Key: <span class="mprotected">Protected/Vacation</span>, <span class="mdead">Dead</span>, <span class="mdisabled">Disabled</span>, <span class="madmin">Administrator</span><br>
Stats Key: O = Offensive Actions (success%), D = Defenses (success%), K = Number of empires killed<br>
Empires whose ranks are prefixed with a * are currently online.<br>
<table class="scorestable">
<?
printTop10Header();
$rtags = loadRaceTags();
$etags = loadEraTags();
$top10 = mysql_query("SELECT rank,empire,num,land,networth,online,disabled,turnsused,vacation,race,era,offsucc,offtotal,defsucc,deftotal,kills,score FROM $playerdb WHERE rank>0 ORDER BY $sort LIMIT 10;");
while ($enemy = mysql_fetch_array($top10))
	printTop10Line($enemy);
printTop10Header();
?>
</table>
<?
HTMLendcompact();
?>
